lp:ubuntu/karmic/landscape-client

Created by James Westby on 2009-07-17 and last modified on 2009-10-14
Get this branch:
bzr branch lp:ubuntu/karmic/landscape-client
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

24. By Free Ekanayaka on 2009-10-09

* New upstream release:
  - Catch import errors in the landscape-sysinfo script to prevent
    errors when landscape-sysinfo is run to update the motd during
    upgrade (LP: #349996)
  - Fix a long-standing bug in the client which causes resynchronisations
    on the server (LP: #144475)
  - When downloading hash-id stores, pass possible custom SSL certificates
    to the fetch fuction (LP: #435887)
  - Handle unicode username in custom graphs, and also report missing user
    to the server properly (LP: #406388)
  - Handle a SQlite bug when creating package store database, by making an
    extra query to flush the table cache (LP: #416629)

23. By Free Ekanayaka on 2009-08-26

* New upstream release:
  - Don't clear the hash_id_requests table upon resynchronize (LP #417122)

22. By Free Ekanayaka on 2009-07-30

* Drop unsed dependency on libcurl3 and explicitly depend on
  libcurl3-gnutls (>= 7.15.1-1ubuntu3) on dapper (LP: #406885)
* Add missing debian/landscape-common.config (LP: #410378)

21. By Dustin Kirkland  on 2009-07-29

debian/control: dropping python-pysqlite2 dependency, since this
package is in universe, and python now has built-in sqlite support,
LP: #406641

20. By Mathias Gug on 2009-07-22

[ Free Ekanayaka ]
* New upstream release:
  - Include the README file in landscape-client (LP: #396260)
  - Fix client capturing stderr from run_command when constructing
    hash-id-databases url (LP: #397480)
  - Use substvars to conditionally depend on update-motd or
    libpam-modules (LP: #393454)
  - Fix reporting wrong version to the server (LP: #391225)
  - The init script does not wait for the network to be available
    before checking for EC2 user data (LP: #383336)
  - When the broker is restarted by the watchdog, the state of the client
    is inconsistent (LP: #380633)
  - Package stays unknown forever in the client with hash-id-databases
    support (LP: #381356)
  - Standard error not captured when calling smart-update (LP: #387441)
  - Changer calls reporter without switching groups, just user (LP: #388092)
  - Run smart update in the package-reporter instead of having a cronjob (LP: #362355)
  - Package changer does not inherit proxy settings (LP: #381241)
  - The ./test script doesn't work in landscape-client (LP: #381613)
  - The source package should build on all supported releases (LP: #385098)
  - Strip smart update's output (LP: #387331)
  - The fetch() timeout isn't based on activity (#389224)
  - Client can use a UUID of "None" when fetching the hash-id-database (LP: #381291)
  - Registration should use the fqdn rather than just the hostname (LP: #385730)

19. By Dustin Kirkland  on 2009-07-16

debian/control: depend on libpam-modules, rather than update-motd

18. By Christopher Armstrong on 2009-04-13

Apply a fix for segfault bug involving curl timeouts. (LP: #360510)

17. By Christopher Armstrong on 2009-04-09

* New upstream bugfix release (LP: #358744)
  - Add a timeout to HTTP operations to avoid hanging (LP: #349737)
  - Clean up environment variables on startup to avoid propagating
    variables that will corrupt package installation (LP: #348681)
  - Clean up FDs on startup for the same reason (LP: #352458)
  - Catch and handle certain errors from smart (such as invalid package
    data) to avoid "stuck" Landscape activities (LP: #268745)
  - Don't print warnings meant for developers to the console (LP: #336669)

16. By Christopher Armstrong on 2009-03-19

* Fix minor packaging issues in last release (LP: #343954)
  - Version number in landscape.VERSION is now correct
  - Fixed package version number to maintain convention
* The following changes are in the 1.0.28 release:
  - Invalidate package cache when server UUID changes (LP: #339948)
  - Improve the "cloud mode" introduced in 1.0.26 to send more
    disambiguation data (LP: #343942) and allow the EC2 user data to specify
    the exchange and ping URLs (LP: #343947)
  - Allow importing of initial configurations (along with public SSL
    certificates) when running landscape-config (LP: #341705)
  - Support a non-root mode which allows running the client without the
    management functionality (LP: #82159)
  - Automatic cloud registration when there's no user-data to specify an OTP
    now works (LP: #344323)

15. By Martin Pitt on 2009-03-18

New upstream release. (LP: #343954)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/lucid/landscape-client
This branch contains Public information 
Everyone can see this information.

Subscribers